curl --request GET \
--url https://api.affinity.co/v2/notes/{noteId} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.affinity.co/v2/notes/{noteId}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.affinity.co/v2/notes/{noteId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": 1,
"type": "ai-notetaker",
"content": {
"html": "<p> This is an AI Notetaker note! </p>"
},
"creator": {
"id": 1,
"firstName": "Jane",
"lastName": "Smith",
"primaryEmailAddress": "jane.smith@northpointvc.com",
"type": "internal"
},
"transcriptId": 1,
"mentions": [],
"createdAt": "2023-01-01T00:00:00Z",
"updatedAt": "2023-01-21T00:00:00Z"
}Get a single Note
Get a Note with a given id
Authorizations
A static Affinity API key, presented as a bearer token.
Path Parameters
The id of the Note
1 <= x <= 2147483647Query Parameters
Additional properties to include in the response
companiesPreview, personsPreview, opportunitiesPreview, repliesCount Response
OK
- notes.EntitiesNote
- notes.InteractionNote
- notes.AiNotetakerRootNote
- notes.UserReplyNote
- notes.AiNotetakerReplyNote
A Note object attached to an entity (Person, Company, Opportunity)
The id of the note
1 <= x <= 2147483647A note content
Show child attributes
Show child attributes
Show child attributes
Show child attributes
The mentions in the note
100Show child attributes
Show child attributes
The date and time the note was created
The date and time the note was last updated
The type of the note
"entities"The number of replies to this note. This is only included if the repliesCount parameter is passed in the includes in the request and the note is not a reply itself.
0 <= x <= 2147483647A preview for Opportunities directly attached to the Note
Show child attributes
Show child attributes
A preview for Persons directly attached to the Note
Show child attributes
Show child attributes
A preview for Companies directly attached to the Note
Show child attributes
Show child attributes
Was this page helpful?